import request from '@/axios'
export default {
  mockApplyListApply(data) {
		return request({
			url: '/mock/apply/listApply',
			method: 'get',
			params: data
		})
	},
	
	userSubscribe(data) {
		return request({
			url: '/user/subscribe/'+data,
			method: 'get',
		})
	},
	
	mockApplyListApplyBusiness(data) {
		return request({
			url: '/mock/apply/listApplyBusiness',
			method: 'get',
		})
	},

  mockSubscribe(data) {
		return request({
			url: '/mock/subscribe',
			method: 'post',
			data
		})
	},
	
	mockSubscribeListSubscribe(data) {
		return request({
			url: '/mock/subscribe/listSubscribe',
			method: 'GET',
			params:data
		})
	},
	
	mockRecord(data) {
		return request({
			url: '/mock/record',
			method: 'post',
			data
		})
	},
	
	mockRecordEdit(data) {
		return request({
			url: '/mock/record/edit',
			method: 'post',
			data
		})
	},
	
	mockWrongRecordWrongNum(data) {
		return request({
			url:`/mock/wwrong/record/wrongNum/${data}`,
			method: 'get'
		})
	},

  mockReport(data) {
		return request({
			url: '/mock/record/'+data,
			method: 'get',
		})
	},
	
	mockWrongRecord(data) {
		return request({
			url: '/mock/wwrong/record',
			data:data,
			method: 'POST',
		})
	},
	
	
	mockSubscribeEdit(data) {
		return request({
			url: '/mock/subscribe/edit',
			data:data,
			method: 'POST',
		})
	},
	
  
	mockApplyListMockLive(data) {
		return request({
			url: '/mock/apply/listMockLive',
			params:data,
			method: 'get',
		})
	},

  mockSubscribeInfo(data) {
		return request({
			url: '/mock/subscribe/info/'+data,
			method: 'get',
		})
	},
  
  mockApplyListApplyName(data) {
		return request({
			url: '/mock/apply/listApplyName',
			method: 'get',
      params:data
		})
	},
  mockRecordGroupList(data) {
		return request({
			url: '/mock/record/group_list',
			method: 'get',
      params:data
		})
	},
  
  mockRecordList(data) {
		return request({
			url: '/mock/record/list',
			method: 'get',
      params:data
		})
	},
 
}